commit b1135c4f77b320dd4ff5cc7b76920aef022415b2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-05

    Bump version number.

commit 39c8856f5a6b12fc5d25e838f981664f141b70ed
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-08-05

    Sync translations with Transifex.

commit 14e1de39f296ae0213f013bddf6de8589de90370
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-05

    Update deprecation warning.

commit abaa5bbcddaf15c74899759090e9dbea9dfde093
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-07-01

    FIXED: Did not always install translations in Linux.

commit 0ab1870aae4ba8304e307cc48826673a39709557
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-04-13

    Disable narrowing conversions in slots.

commit 12a2d67fb704bdad2aab7d8dffff621df59412e9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-02-01

    Update AppData installation directory.

commit c6d60902d0ff67d25f7d47b24614e5b2cc00a993
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-01-26

    Replace deprecated code.

commit a92f841000e6ec37cee3c24d169c0eb3dd09b6b8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-01-03

    Sync translations with Transifex.

commit e1c84580ee4d8188b0db1417383561b5126aeea3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2017-01-03

    Update copyright year.

commit b443c02aaa1b717fd526083860213d51da9b43b3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-29

    Sync translations with Transifex.

commit 15f8d4a640a7b1f39274bd372c110faa6619f97a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-16

    Bump version number.

commit 451049b9ab40624240a55ccda551fbb76b6cabe8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-16

    Update manpage.

commit 921dce33f5d830f9edcc0de7c83e8f2c049a89a0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-16

    Replace application icon.

commit b0ccbc2f27f4e7189badf2eeb9c3a9ef5e8ca44c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-15

    FIXED: Did not change background color on the Mac.

commit 6314a1d10d764d2a7e98d86224146e57cc15f305
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-15

    FIXED: Colors were not saved on the Mac.

commit c73dcf61debed067aa20f2904206e0d0acbafb8c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-15

    FIXED: Could not interact with interface on Mac.

commit 035ee34d84411859e73fb396899c9fbae8a7bbb3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-14

    Add support for HiDPI overviews.

commit 964c88bf89663541316444780cdb66ff157f5ec5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-14

    Use larger icons.

commit 065745230f64ec2f17ece1693523a069e5d5d4d8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-14

    Add HiDPI support to thumbnails.

commit b945e9e244bb9f3e31575649662702e8c6b95dfb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-14

    Add support for HiDPI rendering.

commit 28d976cb1c6ca1611ad9dfbd53b41fc6f895eecc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-07

    FIXED: Did not install translations in Linux.

commit a83eee4058785c8260002897bc6b31b8d8de125b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-07

    Sync translations with Transifex.

commit 801d4a6a186d3c70815f5e70105074e6fe0f8c10
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-07

    Update strings.

commit f7cfc224c6913a444057620857c80ad3ef4b0184
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-06

    Replace deprecated QStyleOptionViewItemV4.

commit 05e0b22adcc2994d2d6e73d47a3a07f1732bfb1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-06

    Remove duplicate function.

commit ee8b812a56a4395b7789f1f71d3540355059a2e6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-04

    Update Windows deployment.

commit 790788e7f2af8324189f9bed1d37b2f2baea3a56
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-03

    Rewrite OpenGL detection.

commit 56a46487f3ea6eeb2acaad66edf8d0fdad45db5d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-03

    Use QOpenGLVertexArrayObject.

commit 30d67361e31b75a51154aa52a6f0cce7eebdcc10
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-03

    Use QOpenGLBuffer.

commit 21a72f5be75079b4f0275d31fd7e89238362a162
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-03

    Use QOpenGLFunctions.

commit b00c1e6bbe37cf7d72b27af0e732cf8dd2be270a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-02

    Replace deprecated QGLWidget.

commit 93a4286c99c8859293b45f2020d288afaf87b6fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-04

    Replace deprecated QGLContext.

commit cf8f9e1c57bbd5cede70a7ce12f3e5c56bb39464
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-04

    Replace deprecated QGLShaderProgram.

commit c51c380b8835f77f59e430762f61a529ff3c419c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-04

    Use QOpenGLTexture.

commit 399251aa4f23a1f68915303155a2b9a61d707f5b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-04

    Render using triangles.

commit a9f891bc03d4f397a4864d1f221658b58dbaa2af
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-02

    Update Windows deployment.

commit ea3d102bc350e51492ef1920ebbe0c403859f8b7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-02

    Update AppData file.

commit 045eeef111f66b077232071ebbc88f5df6109b5f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-02

    Update copyright year.

commit 373b35064932c88840b60dc1bd0154da83e196d4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-10-01

    Update strings.

commit 5087452ab190426b2526f99f913d16255e3b4230
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-30

    Generate binary translations at build time.

commit 32ee63fa2d2ceaee47c05a75306b541b135ce942
Author: Graeme Gott <graeme@gottcode.org>
Date:   2016-09-30

    FIXED: Was not properly loading Qt translations.

commit f20c467e30ed98d83ad8dff1aec0cc547d0aa7a8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-05

    Fade message out when hidden.

commit d37c6c8dbb405826ebaee5f183bffd20194717bb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-08-05

    Hide success message after two seconds.

commit d2c6826223f644dd382e90203a15c0cef7eba930
Author: commander kotori <cmdrkotori@gmail.com>
Date:   2015-07-04

    FIXED: Lag when dragging.
    
    Caused by opengl blocking the thread.  Instead queue an update with
    update() rather than updateGL(), so that the display is updated whenever
    the thread has free time.

commit 0105f2901685075b446cc124a145e1264aeb66ba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-25

    FIXED: Application layout did not respect RTL languages.

commit cbeed3c789b23fa8588581fefd5b7d6c2ca1188b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-24

    FIXED: All new games used the same seed in Windows.

commit 1b226e887b431c67663594c59dc45fd22d31069c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-09

    Remove deprecated functions.

commit fc46f6eb8a5041f542e638629ac3082bcb83fc19
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-08

    Remove deprecated function.

commit 11b76c7ea036aaf055357b00b7381d59629aec88
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Update copyright year.

commit 67a6751846bedefdbf9e505fc72506b79b19c3d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Allow in-tree builds.

commit 5ddd21de8e4c53f33edac9b40d7c3057976687da
Author: Graeme Gott <graeme@gottcode.org>
Date:   2015-01-06

    Switch to static builds for Windows.

commit f3ea73e2fbc4e5015f701201fb7c45b99f80076b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Use C++ round function.

commit f0f2d3da0c677450ae344854fe8a4e422b79929d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-23

    Use application display name.

commit dad37e6649553bf2282a9d8aeee3b79bdbc53875
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Only attach current neighbors of piece.

commit a658770ea8a8a1bea283596e9086ea473ac26571
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    FIXED: Crash when attaching pieces.

commit 0ce06d420cdcae254a7be2b7f23e629d407c8ac9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Switch to Qt 5.

commit 3dfbfbace49212f54684182ab22a18b8cec87371
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Switch to C++11 random classes.

commit ab8f7884999a45d22d92566ef214de12571dfb38
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-12-22

    Switch to C++11.

commit 5305032d1eeb5b119ee99041f9dddb08be700a5a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-15

    Use app icon from theme only in Linux.

commit 660a1cb83e841e40e142091c3dba9b5856a76e4c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-14

    Update appdata file.

commit 5cfe9f56ca1791f67850651c403bcf351329786b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-14

    Update translations.

commit c18ac04a20df04b5697553667f489de397306e1b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-11-14

    Add appdata.

commit 5ebb4b5c75627d7e3279b1c195e2c2644f6e8eaf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Add NSIS installer for Windows.

commit 02afbe567f2fe5c83396b3abe560e1d865992971
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Sync translations with Transifex.

commit 483aba79945b2d437a277a3c7f37c937edd61102
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Add manpage.

commit 6a72821604b12f5b1ba8d4163b9edb042e0e8376
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Add README file.

commit 4947b296435ac59b5aa2e9dc7c40342f6e43a703
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Replace ChangeLog with NEWS file.

commit ecbf0cda8ae0d44747649d9ef28648feebbdffe9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Update copyright year.

commit 0610c4d6bc10305da1ee0e0233e6debc52f236bb
Merge: 93c479d 54632df
Author: Graeme Gott <graeme@gottcode.org>
Date:   2014-02-23

    Merge branch 'release-2.0'

commit 93c479dd76ac46d5fe464d7224f1e416b63382e4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-22

    Update ChangeLog.

commit 54632df4ff095b2bc88f8d833b101eab74be00fd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-22

    Tag version 2.0.3

commit 922668fd6c8f18c7584b1dcfedb4457da7be3901
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-22

    Stop binding attribute positions with newer versions of OpenGL.

commit 89957566692ecd518631e2a0fa10849f2d517465
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-22

    Stop binding attribute positions with newer versions of OpenGL.

commit bfd81e3416fe0130352b54e99793c0b7be84f6d1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-21

    Update translations.

commit d81ed99d605016c684870d7bd54c5e568688688d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-21

    Update translations.

commit c9d82cdf73a5d6fec40027e44322e975b2c17716
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-21

    FIXED: Newer shaders were not working in Windows 7.

commit 1e0da842d1c43f9ba2e17f4598d9f21a38c30e8e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-09-21

    FIXED: Newer shaders were not working in Windows 7.

commit 48237e646a5d60ea617fc5748f31a7976bac7fa1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-09

    Update translations.

commit bf5650aaea77c93c1de332e82a9e684d52d4d809
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-08-09

    Update translations.

commit 496d46ad3b6245514f0dde8bc7a425ed9f3b26d2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-07-26

    FIXED: Build failure on ARM.

commit 064f2777b42aa1069beeff252eac51112a84ed3a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-07-26

    FIXED: Build failure on ARM.

commit b88dc61cbf66c5ac7421c80684fd8b5c0c670e23
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Update ChangeLog.

commit 6f62c350360afaf5833c3d4a60f59de8851305de
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Tag version 2.0.2.1

commit cecf0ac01d982f22f6028d8971e0192e58a64324
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Fix compile error.

commit d44989655467cda62657b1679460b52b336992f0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Fix compile error.

commit f69a55d14f975361f25ca6fecb078da6946af520
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Update ChangeLog.

commit 0b4428eea6bda507e500c479d74ff4c8417c9d14
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Tag version 2.0.2

commit 50fc9bc9f7c7ef2ef3e44ede15f47ed67314edee
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    FIXED: Treated command-line parameters as files to open.

commit 25c9278184f8d2327f07f383816a321a2757bc76
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    FIXED: Did not migrate data from previous versions.

commit d9d43d4734ea07c2c78d711e70839c2081014ab0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-28

    Update data path for Qt 5.

commit 2abcd8545fed8e04a3a735da4658023764c46045
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-27

    Sync translations with Transifex.

commit 08fb825bf7f4e9637d937db440fcf07838966023
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-27

    Simplify build system file.

commit 03dd8799d73224b949cc9565470668ceb50692b6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-27

    Update copyright year.

commit ec191f441b970fbe0f192acdf399bfb88624fbef
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-14

    Update dancing links to match Simsu.

commit e3ae9cdea2ebdab1aa2446f8a69e2922fc310530
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Rename XPM icon.

commit d86d04dfede39ded176dd215ff364856190cca28
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Fix error in desktop file.

commit 0a5159ff384f19156883c8de0699848cf609d0f6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2013-02-07

    Update locale dialog.

commit 00bec25bef5e61dba46b47e3f7ff75d82f928898
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-12-23

    Add support for compiling with Qt 5.0.0.

commit f6340325d6d6adef0c6a10dd721b233bd29d49cd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-18

    Update translations.

commit b88dc111d34406c406d2310d7aa89b8043560981
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-06-09

    Update locale dialog.

commit 170096e4810d46346f44ef2f60334f14f8864dd2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-29

    Improve about dialog.

commit 336190003b966efaf015996de4e01f4d8842f1e3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Update locale dialog.

commit 97fb0466a84c4f13eff13c3dcd51280eee6912ae
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-28

    Use git revision ID as version number.

commit 6d20ac5db752b98d06a267183b7823a9af913dc1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-19

    Tag version 2.0.1.

commit 730201d82636a89301a750fc5ef3b1399d0546af
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-19

    Update mac deploy script.

commit 793d60dd6f37b4c0fff3c928baf17365243fc968
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-19

    Fixed: Sometimes the edge of the puzzle is fuzzy.

commit 12608ab61c29522d492b5b6320d050dc054dae39
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-19

    FIXED: Final board did not have correct shadow.

commit cf445debb79e44256a3499d84efeda2e26043a26
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-17

    Set shaders to always start with color set to white.

commit 7c292afc39fd2784c15a9d865979286917de67d7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-14

    Make vertex be POD.

commit 288aefaec6a49b4e3a18c620ad4686f19bf24f35
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-14

    Add command line argument to override detected graphics layer.

commit dde106df914703c4d995b9a537f43b1c831a55b7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-14

    Simplify state checks.

commit 70462907e0fe5f317bf1777898c6d20feb6d3bc5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-13

    Improve detection of graphics layer.

commit 80d1698d9c8272e8830377f0a1b6b0cf1a5db436
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-13

    Improve check for GLSL.

commit d3e8463a0dd1137f5ae87ef05ab5292d7b914406
Author: Graeme Gott <graeme@gottcode.org>
Date:   2012-05-13

    Don't draw empty scene rectangle.

commit c73f37942a0dc77df30494f22cfb100fa3effcc0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-12-06

    FIXED: Could not remove image of previous game.

commit d595bacc107be9aade90585c2900c4f288a6df08
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-07

    Update German translation.

commit 6fffa553eb1caf4659266be356829db0aab80d3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-11-07

    Add German translation.

commit fde8bb23faea997fc18374e544534a3dd9a276ec
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-28

    Rename XPM icon.

commit ebb4a0d83e6bee7c5cc6f0516ced21ed8bec26ea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-18

    Improve mac deploy script.

commit 471b28810ed422b162162c17f1e6095bca833f76
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-12

    Tweak mac_deploy script.

commit b1ea0bb4abde5c0624de548a0adc562f9739394a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-10-11

    FIXED: Qt translations were not copied in Windows.

commit e86c93d1d52b9b69d3121af7c1e8187cd3414785
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-13

    Add Russian translation.

commit 2092ad0ddeb79bb3070f8974c78f655f2e772c60
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-06-01

    FIXED: Was not setting locale correctly.

commit cce0830d100e0c18be2ecee051c6e2b3646d4261
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    Copy translations on the Mac.

commit 1afd57ad9366d74ea1bc165a39d91db34533e43b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-31

    Rename translation files.

commit 74924bd1e434aba26c898b5df7de5fa2276649f4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-18

    Tag version 2.0.0

commit 7b516df0b170a3e7fd3b357663eac11c99ae38e1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-17

    FIXED: Attaching rotated pieces messed them up.

commit b6f84519b11c286de9b806ae7ab7adf11fa1e0c3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-16

    FIXED: Delegate background only looked correct on the Mac.

commit 8cbb210a10f5957caa1ea96bb5d0633bb96c0344
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-16

    FIXED: Could box select after finishing a game.

commit a1785fe998c235455c9df505a486b25e2d6857c7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-15

    Update Ukrainian translation.

commit f3f9c7434b38f9a596bab2ebfe513190e69ea6ff
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-13

    Make deploy scripts executable again.

commit 7a95d8b2482934711ab4a68bf2111c126a41d1f2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-12

    Add CREDITS file.

commit 3bb52be1400768473a28fac240fa91e4945991fd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-11

    Rewrite loading of language names.

commit 26d8efa30aeaeda720c9008aeaa020d996ddc3b1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-10

    FIXED: Scene rectangle resized the first time a piece was picked up.

commit df9b9279e0720a92949773b19fd182b28b23209f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-10

    Add background color to delegate on the Mac.

commit 723e64fae6481d7fa38e4b08b9bbde37186d563e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-07

    Update translation files.

commit 50c9fea032a9822cf48723678cf516984f321f0d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-12

    Add Ukranian translation.

commit c9214d3eb1562594c3ce6dfd8464d59e3cc4c59b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-07

    Add opening images through app icon on the Mac.

commit 82bd137a085fada809d5cd27374780bf3433a819
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-07

    Fix OpenGL errors on Windows.

commit 88db7fbc618a80f95c81b21f34439660d315b8b1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-06

    Update JPEG rotation tools.

commit db11c0f45b1ffa5aae56b12e5b07384cfb03b3f6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-06

    Improve menu actions.

commit df00bbde78b25ba36bc105e45962a5033ec0be14
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-05

    Improve Mac deployment.

commit 0ff588a038bb71e54ec8ab3feb0087df59dd2d01
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-02

    Improve Linux deployment.

commit be7a72fa25047c88d9638302daf333a913b96011
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-02

    FIXED: Changed tags didn't show up under image names.

commit a812d67f1258695aa1263861832ac358ffd6cdbf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-02

    Allow user to override detected graphics layer.

commit 53713869cdda2ff38fd6031261103733bbd9aafa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-05-01

    Improve button handling in choose game dialog.

commit c50c13085581c574061a58616e594bf57243ad57
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-25

    Add filter for untagged images.

commit c0027e7e7caaf6f50ed28a60303063c8e87221ba
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-25

    Store 'All Images' list item.

commit aaf452003c1000aee690e006f6a9dad9227c7eb2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-25

    Bold text of 'All Images' filter.

commit 33c948272c19d68b1dafc646440303e6795d677a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-25

    Stably sort images with localeAwareCompare.

commit c7efb5286500380418d6db8e12fed7534dc7a19d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-25

    Move editing image name into tag edit dialog.

commit 554c400dd50db7608b32f991f356d75c5bbb5f90
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-22

    Reuse list delegate for current games and new games.

commit 58c408eeed597b916f1eab7233d54a5752870331
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-21

    Show tags under image name.

commit 3900c4e7a0d70452b6baa6bc18bab01c963a3279
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-18

    Add setting image names.

commit f8460844c771e4d5c434758179f61c89a187ee17
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-18

    Increase default window sizes.

commit b80f98758af03e3a958e72f0301e877da1c403cd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-16

    Redesign tag manager to be a list widget.

commit cee75d59da4dc92e954095fac9815e0d21207f39
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-15

    Redesign new game tab.

commit ded1367e7ff0df2965dcbfb27a31aeca60072a1d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-15

    Add ToolBarList class.

commit af7d606b73f514e72b47bdd497da4262aefa1ed4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-15

    Move image filter into tag manager.

commit 91c94d649fdebaae6353f67c340118aba7b952e6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-14

    Don't hide empty tags.

commit f18f13a580f5657ac0c0ba89f318da282e48979d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-14

    Remove tag management from tag image dialog.

commit 3710f026dda21ef2f90c6580b0a92fc8558f303f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-10

    Merge new and open game dialogs.

commit 628deabb5858704c77e4e6a246bdb084ac41152f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-10

    Use single thumbnail loading thread.

commit e558c022d716efad472f260d9698373b7b136ccb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-12

    Only update tile positions once.

commit 20bb82312418f22a1f511da840c5ef553f386f8a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-08

    Hide scene rectangle when finishing a game.

commit c94b062ecc66c680a09d0f039f4d43c1d368dfad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-08

    Don't set game ID unless open is successful.

commit 4c281d67c4580b771835cce96557f98e30dc9727
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-08

    Rename base translation file.

commit fee1bb12518341a5a387f9f2758ec53e945dbdeb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-06

    Fix mac menu segfault when showing overview after game is started.

commit a5157cd76a92b6a68224b775f4ea354e8c51ee1a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-06

    FIXED: Segfault on the mac when accessing menu items during a game.

commit e04a5c8a3964b9f12786c9a108e086a7d2c2c115
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-05

    Show loading image while loading overview.

commit de845b557148d1ee00d67f6ff8eab3cbfdcd4895
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-05

    Make sure all pieces are saved.

commit 3f5f5da433b3d8222aa79521ab36c998c4c6f8d0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-05

    Disable open game action when there are no games to open.

commit e4c2252750ae6e1c526d4256a3c44a8f5feb0969
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-05

    Don't move piece under cursor when selecting pieces.

commit 960d1b8ab1b66cdd30e0d9f0c7dea011d5b3f794
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Only check one tile for each neighbor in attachNeighbors.

commit 59d0c3814f141ce596e9def39b3996f919dae5d5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Start with a 1MB vertex buffer.

commit 2c8b577eef5955264aa7c3d99342090ceda1fc1c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Make sure selected pieces are taken into account.

commit 6ef6375d00e888d28ddb654b360429812d9599dc
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Move check for array length to removeArray.

commit ca5cd6122bbdce62b13aea8ee9a0d4e12c099c3f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Use application version number.

commit 1426cb2126dd9618934b6eb11ae8d98835cf8d9d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Make overview always be 400 pixels on one side.

commit 52e11649ea032085f9440ce7e507c9570bb64b7f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-04-04

    Tweak graphics layer.

commit f7a3f27d9a9debeaf8dec05166e723c19d5cade8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Update program icon.

commit 4c2d88b4cd5002675bacdafe99bf978fb02feb77
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Don't show scene rectangle while loading games.

commit 9a58cc7f3f89c5f455892a3b3956dba97c0884e5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Update deploy scripts.

commit 7c0c8eae902eccba409c93ff1da0ce92aa1b7755
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Make overview a toggle action.

commit 78d1ea42a80abca8f28b8f31510d6a92d8034803
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Add support for translations.

commit 355822458fa0adbd5f87e3ab3e55013fd48c758c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Allow specifying install location for Linux binary.

commit 946aab9131340758e3211c0c5e58dc4d5a4d2903
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Rename README file to represent its contents.

commit fdebc2ece830fb90b6c8e28d8493c77742b82645
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-30

    Fixed regression with box selecting pieces.

commit a1527bc74c30ee24b45a9e9bd2222b8554cd6dcd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-29

    FIXED: New games were sometimes square.

commit 0b2056e50cd8e84799636c255e3bc306ecb368ac
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-29

    FIXED: ZoomSlider::scaleLevel didn't always find the correct zoom level.

commit 1be1a58292ed58784d46ec7251810de8052768bb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-28

    Improve GraphicsLayer memory management.

commit 2746fcf48da2f35e222fed36100249d39d3265d0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-26

    Change location where data is stored.

commit 6f3bde94991f2e02ef9fcea754a609d582f98e80
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-26

    Add support for older puzzle files.

commit 1b89964b698a94c04509cb5363c87fb2e35acf1f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-21

    Add programmable pipeline code to GraphicsLayer.

commit 77005ac478fd4767754c5e6b92ebacbb840cd305
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-19

    Move all OpenGL code into GraphicsLayer class.

commit f1c6a4ef94b24768a3b396ee405971ed6363ff6d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-19

    Move fixed function code into VertexArray.

commit 79d0c0e970fc258951ae38b2e5529afb5125d589
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-19

    Move depth sorting into vertex.

commit 5deb088bce72e9b114998ebf08a38421ad826322
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-18

    Use a single vertex buffer object.

commit d85387a9e168beca207caf40c17734ff7481b580
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-18

    Make multi-texturing optional.

commit c5246533a5771c5da793d015ef856d3aedc37577
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-15

    Draw selected pieces separately.

commit ed5f7f697d8db099e5868efcaea2ddd66e867045
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-15

    Use depth sorted drawing.

commit c1ea36cd6cd5652db921b508ab3271275fe7fff7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-13

    Add border to scene rectangle.

commit c9302842de24feccda722e609d69db8edb315eb5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-13

    Add option to disable drop shadows.

commit 67c57e9a69bb3c843e782e9bacea57e652e5862d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-12

    Add option to disable bevels.

commit 9e5e445b65e429b69eb8b7158f294059a6c7daea
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-12

    Change default color scheme.

commit 7c95e0e55c8305e88846fec79c9c5b585c768945
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-10

    Add bevel to pieces.

commit 21d686228a260d2e36e49ae1ce0c11ec78f5fc96
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-08

    Add back multi-texturing.

commit 40fe64a8ddf484920a3e83403ff13981b50e5f60
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-07

    Separate out drawing shadows.

commit 4558a736d9f8a7377c8a1aee3713e158e420e75b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-07

    Switch back to using drawArrays.

commit 5fcde3d6903ea35599a899c90d80173d811db585
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-06

    Make tiles be 64x64 pixels.

commit 28a981e2fd94dec5d9d8c80685729299e8888ae4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-03

    Reset color instead of storing current bit.

commit 2329e73a16c0804638bf752df550f79a1b3ed51d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-03-02

    Animate zooming to best fit.

commit 26053181a6cf975efff4f370a32cab76497c670f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-28

    Add statusbar messages.

commit d463da3dc68087542714a7ae14300beb7cf3f760
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-27

    Add back mipmaps in texture creation.

commit 983d4c0bbd848c25092ee80830fe96b39974725f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-27

    Only check actual neighbors in attachNeighbors.

commit a2c6d9f688ad5db2227062bfdda00bcbdd1a9af4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-27

    Move tile creation into generator class.

commit 57101fdec48b4aca9e43d8c345b4f1eb22098d86
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-27

    Rename solver to generator.

commit 7a5ef1c04c05934f2511aa373dddfe318b56d43a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-27

    Show puzzle creation.

commit 1aaac5186c3f7fc0d03101e1fe7c4111ea7c12de
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-25

    Tweak retrieving pieces.

commit d4118f2643c33824f42eb06cb95478c7faba5321
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-25

    Clean up piece class.

commit 5ff84aedacb18e893ece2d5e7fa6641f95dcae9a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-24

    Track active pieces instead of tiles.

commit 0a85876da6154d30ad6b7103a9d3bde1591cd0b0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-24

    Rotate around mouse cursor.

commit 1be8015d5d12af7e96aff15a35739bd329ef3cd7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Use the same logic to drop pieces.

commit 29120238dd19061d653f8338507c1cf3c8b91607
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Use the same logic to place and retrieve pieces.

commit 5556821b1ef10db390e28a898f10348d46c6407a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Update scene rectangle when creating or finishing a game.

commit a214890db1c2204d60bdd354ec35b5905c43e9cb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Use scene rectangle to determine best fit.

commit 94ea55f9c6e539307af8a7ae1a8bbcadac0d6035
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Show wait cursor when retrieving pieces.

commit aea296dab0d37c2d375f823be7021918ae7abff1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    FIXED: Saved games were not deleted by open dialog.

commit 9282193b9653638610d7e54ec682d3fb2dd448ad
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-23

    Use QRegions for collision detection.

commit 9bf7220c06a0089fa29267c2d61f35e06fc0d77c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-21

    Revert shared interleaved vertex array.

commit c6af9093df9f88d770ffa84db08bd1486ce28793
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-17

    Show scene boundaries.

commit 546290c1a19fa357c2080eac7e19c1b995c62fc9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-16

    Share one interleaved vertex array.

commit 6ed94d39949b3cdbf90173b7049e120fba5d227d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-16

    Use interleaved vertex arrays.

commit 8dfad37f8907e7697dcc20b70c9770827eaa46d5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-15

    Comment OpenGL initialization.

commit 616512b03af0ea990bc38c4db97b8080055b4a13
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-15

    Properly manage texture binding.

commit 51f1aa35dd314e1aee9bc793c1e5e570b16895d6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-14

    Cull pieces outside of viewport.

commit 093c5532744a06ed08bc9f8ebe87449981863be2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-14

    Use drawElements instead of drawArrays.

commit c479d41681d7654fc092bce17a5e0988e71e4461
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-13

    Render counter-clockwise and cull hidden faces.

commit a560ad1d143f692e285cc5fad52b50b70949f52a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-13

    Use vertex arrays for rendering.

commit ef3bb8e01358cc7f36d27e17d27ff9198c11dae3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2011-02-11

    Bump settings version number.

commit da9fc3e832551eb83d594b15e0e30879c0a52c71
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-05-18

    Don't change working directory.

commit 7c9a2b3ebc9923a82f0720c721f62be0c63be2e9
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-25

    Highlight held pieces as well as selected ones.

commit a0afec5ff723317a4c3b63426513ed81d5a80a28
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-25

    Allow player to change colors.

commit 948789ae694e9207dafcbc709a594adf67aef892
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-25

    Allow player to cancel adding images.

commit 953f8a8e410d111159e3a17e233356da1ee69206
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-21

    Hide completion bar when opening a game.

commit 226b3a8b99e5910dbaf23381b5e890efb2453025
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-19

    Add auto-rotating on Windows and the Mac.

commit 66b403a32eb41b4e6a474a3b1439ff3d2b430adf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-17

    Refactor thumbnail loading.

commit fca9823358a8b492289335debd07fa8b4d29fd17
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-17

    Improve detection of saved games.

commit 2fb8b26174c3df051c7463fee6259b65ad3c51eb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-17

    Make sorting consistent across runs.

commit 5c9533c1b8c262608490c5352efdadff65396ac3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-17

    Reset tag filter when adding images.

commit 5dc5559f52b16e84e03d9c51ccda5c4b94988541
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-17

    Use jhead to auto-rotate images.

commit 95f92a2a8201cad30e3ba9be43d87774998bc305
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-16

    FIXED: Buttons in new game dialog were not always correctly enabled.

commit 14face313e272284f810e8d6543ac3e69903d8b1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-15

    Add images dropped on game.

commit c83f1161571ff6762d5665d388aa003933e74420
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-15

    Use image hash as file name.

commit 06ff08f8f7f16da9ddad678988c37692903ffabb
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-15

    Use groupboxes in new game dialog.

commit 16664fc040b4c6ac7cc9c7719f2e22cd70f8d702
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-15

    Replace ImageDialog with QFileDialog.

commit e1d208ed488bbaa0974afb47d862d39b9a045482
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-15

    Rename labels to tags.

commit 1e82fa2b7f04cb5ea18b955698a3b3856ee6fa63
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-11

    Improve selection rectangle.

commit dfaf9f1782f3ab32be95f3ca7f877033d4867a11
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-11

    Share the zooming algorithm between windows.

commit 2894044577ea1b2435b4fc65c04ae4fc8084e438
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-10

    Prevent puzzles with no pieces.

commit d3bea8b2a0b6b30a2361b9c172bcc138af48202c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-10

    Upate Mac support.

commit e30b72eeb9efed2c7a8655b5bc04beee31eb0449
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Use a progressbar to show puzzle completion.

commit ec20625195c8d331d993df6a3fdd415968832ffa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Improve handling of overview window.

commit b3361eb03be24fef4c7ce2d22f6956f43c8551d1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Add message class.

commit 7c70a1146487193c6c766e1224fff8245f6b22ce
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Change zoom algorithm.

commit 7cebe626b9715289a1ce3816e4980e0641d91503
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Add drop shadows.

commit 865b27da390ee634aa2124134b1ca6790792adc0
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Improve board generation.

commit 7a77ca9d0535343904f502885fb4e8f34782b62f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Remove beveled borders.

commit ca93fbe7bced21a4f7fc54ec4eb4246e73a1ebdd
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Change storage location.

commit bfd68c2ca70b7bd92166d6eec263f394d61c5964
Author: Graeme Gott <graeme@gottcode.org>
Date:   2010-04-09

    Update coding style.

commit 53db91ee1de261af97a8c50b1a4d20d63be57165
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-21

    Tag version 1.2.1.

commit 67b9a8e711b4edf23a23de8d54ed60d8df663711
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-21

    Use floating point absolute value function.

commit 04eeecabacb0b128b3b0a24cde489fd2a40d506b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-21

    FIXED: Held pieces jittered when scrolling.

commit a9c2ed09d79f1cef4143b572f692ed3f80631d8a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-20

    FIXED: Tile borders were not correctly scaled.

commit 74c4dbf91435ff70460a416b0738e7f09e386fb1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-18

    FIXED: Mouse cursor drifted off pieces when moving.

commit 1790302d16f827e8e94da871e6f5c027b8350d30
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-17

    Tag version 1.2.0.

commit 0fc322c5d48a6845e7626938732dfa4a531814b2
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-17

    Add panning and zooming to overview window.

commit 42d5c9d1a465d8c09c87141d5d78e5c884152882
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-17

    Improve label for toggling tile borders.

commit 6555f36d065774ef86022713d68263357a67a99b
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-16

    Update ChangeLog

commit dc986d590adb012b5015250ae98aee897c23b847
Merge: 0147df7 5d4b414
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-09

    Merge branch 'master' of git://github.com/rawler/tetzle

commit 0147df726eb161a4bad5bfe32113dec981a9fc23
Author: Frank Tetzel <s1445051@mail.inf.tu-dresden.de>
Date:   2008-12-08

    Add keyboard shortcuts.

commit 97186589688e1d1ead9cbdc32ec29b96ec3db9c3
Author: Frank Tetzel <s1445051@mail.inf.tu-dresden.de>
Date:   2008-12-08

    Add ability to toggle grid.

commit 21dd3577386e0f3ad60f5e7f62b5df2d635098b5
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-12-08

    Merge overview toggle actions.

commit 5d4b4144ab2c2d38a0267f5589af4598d62d0f90
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-11-25

    - Added margins to new collision-detection.

commit 7ed9abc80304cd623f54a6c4a31f449d1a279e27
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-11-25

    - Implemented real collision detection.

commit 5a118b16e83c942b8231939dc985d4faf0957696
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-11-03

    Use image dialog from FocusWriter.

commit ca819f46a85e0187238cfbbbb0b81d685a90c1d1
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-09-20

    - Changed pushNeighbors to use a binary collision-search to determine how far to push each piece. (Works with any kind of underlying collision-detection.)

commit 9703720e8452fa716cf3329ffa63dd9ca4d316be
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-09-20

    - Added Piece:marginRect() and Piece::collidesWith(Piece*)

commit b20e272f70b7545c4970831e64e672f3c3e53d9f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-28

    * Add ability to retrieve pieces.

commit effbbf05a89d92f03a938fb515c4343109e67cd3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-28

    * Favor larger pieces in pushNeighbors.

commit 5ef57ed5f9bbf0c8fe6e11fa6ecc411d68d6038d
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-28

    * Show actual puzzle image in overview window.

commit ad7f9fe9267600695ecfbe96a0a31327bcba7258
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-28

    * Add option to use entire image when generating a puzzle.

commit 7f5d55fe204ed3a93462aedc5e2bb9a39dd9c3c8
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-20

    Tag version 1.1.0

commit 332f641386dc58bd72cae4b8ea1f68500c2402fa
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-20

    Update controls dialog.

commit 6aa0f2cd3ae884149f54fc223c90d3030dfdb433
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-20

    Add rectangle select.

commit a0e4371947a85feccbef4d440824ed6e426c0536
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-19

    Unify cursor tracking.

commit 04f45bafffdc67973d0cecde6d5e1128f1d61c86
Merge: 10e5f6e 3171789
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-19

    Merge branch 'multi-grab-piece'

commit 3171789e8dfe9f8afb30327826ed68d06a8f9332
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-19

    Update ChangeLog to reflect recent changes.

commit 1556bc154e7a595902862ee70490473b95df2c80
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Merge marginRect() back into findCollidingPieces().

commit e8c8ec6cf142e5d8eb606fa5e472bb173719ed5a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Clean up access to m_active_tiles.

commit 51d3545642ebf3683c1a4a8c36e34cf146516780
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Rename tile to piece where appropriate.

commit 3341fd298618d55ffc78466459d03723c656be89
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Clean up pushNeighbors.

commit 1bd23ceb05e7b4e7fcc94befc84ba44b836b0a71
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Ignore zoom when pushing pieces.

commit 3943576b3ed7592f45af4eb8b6fc34589b728d0b
Merge: 4ef5127 3fbbd3e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-15

    Share code in attachNeighbors.

commit 3fbbd3ea20a73aebadc4b79704caad206350d94a
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-13

    - Replace the 4-direction pushing algorithm with an algorithm based on direction-vectors and inertia.

commit d0bf4d045476804dfd551ef30ddae0535a84a08d
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-13

    - Make Piece::marginRect a quick-function to calculate collision boundaries.
    - Change the board-collision API to expose one function returning a list of all conflicts, and one function returning one at a time.

commit fd21a96f86254feffe2625996078499ea591e5b1
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-13

    - Fix debug-build-failure.

commit 4ef5127488c3ac766413dd3efcdc40907a058fc3
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-12

    Share code in attachNeighbors function.

commit 116808f080fb2437bdddda41f6bd07f138e0c937
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-12

    Show wait cursor when starting or opening games.

commit 10e5f6e83e11737da66b9b41378f89136bd36f3a
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-12

    Show wait cursor when starting or opening games.

commit ea9704dadd328ae5d075eb6b29a4d6a0e7b5307f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-11

    Change cursor if you can grab a piece, and if you are holding pieces.

commit 1ff8e2c76c05075eaa2ab0cc12fc98c9eae1bb80
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-11

    Rename region to margin and stop passing it to attachNeighbors().

commit efb092e4145e85c6bd8cdba3ed532e2caa7a70bf
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-11

    Added Piece class.

commit 226ccb3e3cce1bf02488050194141473d16614f7
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-08

    Change cursor to hand when you can grab pieces and to arrow when you can't.

commit 6e2e4d7b7ec4e4611d0b09d2a6a6691eb6d61b7e
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-06

    - Update mouse-cursor while dragging, to indicate if more pieces can be lifted.

commit 4b42eeca1a8762a02aa3da89b6844d319a4ef69f
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-06

    - Allow rotating all lifted pieces.

commit 3ccc9cd92031bb327b9c07dfd02123f70a645e09
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-06

    - Really fix the bug supposedly fixed in 74977b9fd175da34483a5527be3efaec36a2f43c. Since we need to also track parents (to avoid lifting a piece twice), a HashMap is more suited to store the list of active pieces.

commit 4938790640a6fd01a2fa7d968d469df4dc8b622a
Merge: 74977b9 b4ddf6a
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-06

    Merge branch 'master' into multi-grab

commit b4ddf6a7a386c9e48fe2243141843d561d6fe616
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-06

    - Fix a bug where pushing neighbors results in too large reactions. Several tiles of the same piece were matched, resulting in very large reactions.

commit 74977b9fd175da34483a5527be3efaec36a2f43c
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-05

    - Changed the m_active_tiles to be a set instead of a list. Resolves a bug, while being semantically more correct since no tile can be active twice at the same time.

commit 5c018cd614c1800591e5440f67385b57f32af939
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-05

    - Enable multi-grab.
    - AttachNeighbours only happens if exactly one tile is grabbed.

commit fa2fe554fa07bf49463bfdba6ab7531c684fe9c7
Author: Ulrik Mikaelsson <ulrik.mikaelsson@gmail.com>
Date:   2008-07-05

    - Make m_active_tile a QList (m_active_tiles). This will allow grabbing of multiple tiles in the future.

commit 7f36e61c69c4e62b3a6742e3d42dd087dee57b15
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-03

    FIXED: Overview was sometimes repositioned to 0,0 in GNOME.

commit 4e9a5b0111e69e411d2227661636e130c540707f
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-02

    Tag version 1.0.2

commit 70725768966d98c38a148c04f7a22ecf53a112e4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-01

    Change fullscreen shortcut on the Mac.

commit 6bf5547971068611c9580711acf3e8793ace7e0c
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-07-01

    FIXED: Segfault when all images are removed.

commit 2e02f15946c58df5f585b88da77b08bb6b5e79e1
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-28

    Add image plugins to Mac and Windows releases.

commit 148557a01164057cb1810476c130f7141a83a5e6
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-18

    Tag version 1.0.1

commit d5b10a3b2a7821de2c459afe8bb22c52d89b3e97
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-17

    FIXED: Binary not installed with make install.

commit efec860e797b7c34f5224362bb174c31118e76a4
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-17

    FIXED: Focus was lost when overview was shown in GNOME.

commit 2e1617e31f17f41021d04df03a8a2df517c3367e
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-16

    Revert "- Replaced the overview-window with an in-window hold-to-look overview."
    
    This reverts commit b66b47d958aa3a46213f5cb2cce63edd15e55d0f.
    
    Conflicts:
    
            src/window.cpp
            src/window.h

commit ac27624ce845977359dcd1146be2cd84fe84bd64
Author: Graeme Gott <graeme@gottcode.org>
Date:   2008-06-16

    Prevent opening a game that references a missing image.

commit f90004adaf71c1455fb9afbd655afc9b2cde6d17
Author: Ulrik Mikaelsson <rawler@users.sf.net>
Date:   2008-06-14

    - Enable Fullscreen Mode.

commit b66b47d958aa3a46213f5cb2cce63edd15e55d0f
Author: Ulrik Mikaelsson <rawler@users.sf.net>
Date:   2008-06-14

    - Replaced the overview-window with an in-window hold-to-look overview.

commit bb421991c6dd2034dc84dcab2f23cc5f3e642508
Author: Ulrik Mikaelsson <rawler@users.sf.net>
Date:   2008-06-14

    - Added a git-ignore.

commit b4b19826024e6fc558962f478a0467f36a8f7a8e
Author: Ulrik Mikaelsson <rawler@users.sf.net>
Date:   2008-06-14

    - Initial commit v1.0
